Bug 205052 - Spec file alterations and libdir fixes
Summary: Spec file alterations and libdir fixes
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: gsf-sharp   
(Show other bugs)
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Alexander Larsson
QA Contact:
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2006-09-02 23:54 UTC by Paul F. Johnson
Modified: 2007-11-30 22:11 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-09-06 09:31:04 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
gsf-sharp spec file patch (1.33 KB, patch)
2006-09-02 23:54 UTC, Paul F. Johnson
no flags Details | Diff
gsf patch which corrects configure.in (443 bytes, patch)
2006-09-02 23:56 UTC, Paul F. Johnson
no flags Details | Diff

Description Paul F. Johnson 2006-09-02 23:54:38 UTC
Description of problem:
Attached are two files. The first is a patch which brings the spec file into
line with the packaging guidelines and the second patches the source so that the
libraries go to the platform specific libdirs

The patch adds the devel subpackage and alters %{prefix}/data to %{_datadir}
The libdir patch fixes the configure.in file for gac

Comment 1 Paul F. Johnson 2006-09-02 23:54:39 UTC
Created attachment 135442 [details]
gsf-sharp spec file patch

Comment 2 Paul F. Johnson 2006-09-02 23:56:24 UTC
Created attachment 135443 [details]
gsf patch which corrects configure.in

Comment 3 Alexander Larsson 2006-09-06 09:09:52 UTC
There is no need for the patch. Just set GACUTIL_FLAGS in the specfile.


Comment 4 Alexander Larsson 2006-09-06 09:14:19 UTC
In fact, the specfile seems to do this already, and the packages are in lib64 on
x86-64.

Comment 5 Alexander Larsson 2006-09-06 09:31:04 UTC
0.8-4 has the -devel package.


Note You need to log in before you can comment on or make changes to this bug.